from typing import List, Union


class FilterConfig:
    column: Union[str, int]
    values: Union[List[Union[int, str]], Union[int, str]]

    def __init__(self, column: str, values: Union[List[Union[int, str]], Union[int, str]]):
        self.column = column
        self.values = values

    def __str__(self):
        return f'<ankimaker.config.filters.FilterConfig {self.column}: {self.values} >'

    def __repr__(self):
        return self.__str__()
